import stamp.core.*;

public class SerialLoop
{
    public static void main() {

        System.out.println("Starting Loopback Test");
        System.out.println("Type in terminal for echo.");

        Uart rx = new Uart(Uart.dirReceive, PROP.pin31, Uart.invert, Uart.speed19200, Uart.stop1);

        while (true)
        {
            boolean dataReceived = rx.byteAvailable();
            if (dataReceived) {
                int data = rx.readByte();
                System.out.print((char)data);
            }
        }
    }
}
